head.git_repository {git2r} | R Documentation

## Get HEAD for a repository

### Description

Get HEAD for a repository

### Usage

    ## S3 method for class 'git_repository'
    head(x, ...)

### Arguments

`x` | The repository `x` to check head
`...` | Additional arguments. Unused.

### Value

NULL if unborn branch or not found. A git_branch if not a detached head. A git_commit if detached head

### Examples

    ## Not run:
    ## Create and initialize a repository in a temporary directory
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Create a file, add and commit
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "Commit message")

    ## Get HEAD of repository
    head(repo)

    ## End(Not run)

[Package git2r version 0.23.0 Index]